import PostCard from '@/components/PostCard';
import Link from 'next/link';

export const metadata = {
  title: 'Blogs list',
  description: 'Description of the website',
};

async function getPosts() {
  const res = await fetch('https://jsonplaceholder.typicode.com/posts?_start=0&_limit=6');
  return res.json();
}

export default async function BlogsListPage() {
  const posts = await getPosts();

  return (
    <main className='blogs-list_main'>
      <h1 className='blogs-list_heading'>Blogs list</h1>
      <section className='articles-grid'>
        {posts &&
          posts.map((post) => (
            <Link key={post.id} href={`/blogs-list/${post.id}`} className='blog-card'>
              <PostCard title={post.title} body={post.body} />
            </Link>
          ))}
      </section>
    </main>
  );
}
