import Image from 'next/image';
import Link from 'next/link';

export const metadata = {
  title: 'Home',
  description: 'Description of the website',
};

async function getPost() {
  const res = await fetch('https://jsonplaceholder.typicode.com/posts/1');
  return res.json();
}

export default async function Home() {
  const post = await getPost();

  return (
    <main className='home_main'>
      <article className='hero'>
        <section className='hero_text'>
          <h1>{post.title}</h1>
          <p>{post.body}</p>
          <Link href='/blogs-list/article-1' className='btn'>
            Read more
          </Link>
        </section>
        <section className='hero_img'>
          <Image src='/assets/anthony-delanoix-aDxmYZtYj7g-unsplash.jpg' alt='Post image mask' fill />
          {/* <img src='/assets/anthony-delanoix-aDxmYZtYj7g-unsplash.jpg' alt='Post image mask' fill /> */}
        </section>
      </article>
    </main>
  );
}
