import Image from 'next/image';
import Link from 'next/link';

export default function Header() {
  return (
    <header>
      <Link href='/'>
        <Image src='/assets/logo.png' alt='Logo of the website' width={133} height={44} />
      </Link>
      <nav>
        <ul className='nav_pages'>
          <li>
            <Link href='/'>Home</Link>
          </li>
          <li>
            <Link href='/blogs-list'>Blogs</Link>
          </li>
        </ul>
        <ul className='nav_auth'>
          <li>
            <Link href=''>Sign in</Link>
          </li>
          <li>
            <Link href='' className='nav_sign-up'>
              Sign up
            </Link>
          </li>
        </ul>
      </nav>
    </header>
  );
}
